package com.zxhyis.toolss.ui.page.notifaction

import android.content.Intent
import android.graphics.Color
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.blankj.utilcode.util.SPUtils
import com.zxhyis.toolss.base.TopActivity
import com.zxhyis.toolss.databinding.ActivityLayoutNotificationGuestBinding
import com.zxhyis.toolss.logic.setOnClick

class NotificationGuestActivity:TopActivity<ActivityLayoutNotificationGuestBinding>() {
    override fun getViewBinding1(): ActivityLayoutNotificationGuestBinding {
        return ActivityLayoutNotificationGuestBinding.inflate(layoutInflater)
    }

    override fun init() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        vb.root.updatePadding(top = BarUtils.getStatusBarHeight())
        vb.idTzGuest.imageAssetsFolder = "guide/images/"
        vb.idTzGuest.setAnimation("guide/data.json")
        vb.idTzGuest.playAnimation()
        SPUtils.getInstance().put("notification_guest", true)
        vb.idTvTryNow.setOnClick(javaClass.simpleName){
            startActivity(Intent(this,NotificationCleanActivity::class.java))
            finish()
        }
        vb.idTGuanbi.setOnClick(javaClass.simpleName){
            finishToMain()
        }
    }
}